## AgsSF2SynthUtil

AgsSF2SynthUtil — SF2 synth util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSF2SynthUtil * | ags_sf2_synth_util_alloc ()
gpointer | ags_sf2_synth_util_copy ()
void | ags_sf2_synth_util_free ()
AgsAudioContainer * | ags_sf2_synth_util_get_sf2_file ()
void | ags_sf2_synth_util_set_sf2_file ()
gpointer | ags_sf2_synth_util_get_source ()
void | ags_sf2_synth_util_set_source ()
guint | ags_sf2_synth_util_get_source_stride ()
void | ags_sf2_synth_util_set_source_stride ()
guint | ags_sf2_synth_util_get_buffer_length ()
void | ags_sf2_synth_util_set_buffer_length ()
AgsSoundcardFormat | ags_sf2_synth_util_get_format ()
void | ags_sf2_synth_util_set_format ()
guint | ags_sf2_synth_util_get_samplerate ()
void | ags_sf2_synth_util_set_samplerate ()
gchar * | ags_sf2_synth_util_get_preset ()
void | ags_sf2_synth_util_set_preset ()
gchar * | ags_sf2_synth_util_get_instrument ()
void | ags_sf2_synth_util_set_instrument ()
gchar * | ags_sf2_synth_util_get_sample ()
void | ags_sf2_synth_util_set_sample ()
gint | ags_sf2_synth_util_get_bank ()
void | ags_sf2_synth_util_set_bank ()
gint | ags_sf2_synth_util_get_program ()
void | ags_sf2_synth_util_set_program ()
gint | ags_sf2_synth_util_get_midi_key ()
void | ags_sf2_synth_util_set_midi_key ()
gdouble | ags_sf2_synth_util_get_note ()
void | ags_sf2_synth_util_set_note ()
gdouble | ags_sf2_synth_util_get_volume ()
void | ags_sf2_synth_util_set_volume ()
guint | ags_sf2_synth_util_get_frame_count ()
void | ags_sf2_synth_util_set_frame_count ()
guint | ags_sf2_synth_util_get_offset ()
void | ags_sf2_synth_util_set_offset ()
AgsSF2SynthUtilLoopMode | ags_sf2_synth_util_get_loop_mode ()
void | ags_sf2_synth_util_set_loop_mode ()
guint | ags_sf2_synth_util_get_loop_start ()
void | ags_sf2_synth_util_set_loop_start ()
guint | ags_sf2_synth_util_get_loop_end ()
void | ags_sf2_synth_util_set_loop_end ()
AgsResampleUtil * | ags_sf2_synth_util_get_resample_util ()
void | ags_sf2_synth_util_set_resample_util ()
GType | ags_sf2_synth_util_get_pitch_type ()
void | ags_sf2_synth_util_set_pitch_type ()
gpointer | ags_sf2_synth_util_get_pitch_util ()
void | ags_sf2_synth_util_set_pitch_util ()
gboolean | ags_sf2_synth_util_get_note_256th_mode ()
void | ags_sf2_synth_util_set_note_256th_mode ()
guint | ags_sf2_synth_util_get_offset_256th ()
void | ags_sf2_synth_util_set_offset_256th ()
void | ags_sf2_synth_util_load_instrument ()
void | ags_sf2_synth_util_load_midi_locale ()
void | ags_sf2_synth_util_compute_s8 ()
void | ags_sf2_synth_util_compute_s16 ()
void | ags_sf2_synth_util_compute_s24 ()
void | ags_sf2_synth_util_compute_s32 ()
void | ags_sf2_synth_util_compute_s64 ()
void | ags_sf2_synth_util_compute_float ()
void | ags_sf2_synth_util_compute_double ()
void | ags_sf2_synth_util_compute_complex ()
void | ags_sf2_synth_util_compute ()
AgsIpatchSample * | ags_sf2_synth_util_midi_locale_find_sample_near_midi_key ()

## Types and Values

#define | AGS_SF2_SYNTH_UTIL_INITIALIZER
enum | AgsSF2SynthUtilFlags
enum | AgsSF2SynthUtilLoopMode

## Object Hierarchy

        GBoxed
        ╰── AgsSF2SynthUtil
        GEnum
        ╰── AgsSF2SynthUtilLoopMode

## Includes

    #include <ags/audio/ags_sf2_synth_util.h>

## Description

Utility functions to compute SF2 synths.

## Functions

### ags_sf2_synth_util_alloc ()

    AgsSF2SynthUtil *
    ags_sf2_synth_util_alloc ();

Allocate AgsSF2SynthUtil.

#### Returns

the newly allocated AgsSF2SynthUtil

Since: 3.9.6

### ags_sf2_synth_util_copy ()

    gpointer
    ags_sf2_synth_util_copy (AgsSF2SynthUtil *ptr);

Copy AgsSF2SynthUtil.

#### Parameters

ptr | the AgsSF2SynthUtil |

#### Returns

the newly allocated AgsSF2SynthUtil

Since: 3.9.6

### ags_sf2_synth_util_free ()

    void
    ags_sf2_synth_util_free (AgsSF2SynthUtil *ptr);

Free AgsSF2SynthUtil.

#### Parameters

ptr | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_get_sf2_file ()

    AgsAudioContainer *
    ags_sf2_synth_util_get_sf2_file (AgsSF2SynthUtil *sf2_synth_util);

Get Soundfont2 file of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the Soundfont2 file.

[transfer full]

Since: 4.0.0

### ags_sf2_synth_util_set_sf2_file ()

    void
    ags_sf2_synth_util_set_sf2_file (AgsSF2SynthUtil *sf2_synth_util,
                                     AgsAudioContainer *sf2_file);

Set Soundfont2 file of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
sf2_file | the Soundfont2 file |

Since: 4.0.0

### ags_sf2_synth_util_get_source ()

    gpointer
    ags_sf2_synth_util_get_source (AgsSF2SynthUtil *sf2_synth_util);

Get source buffer of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the source buffer

Since: 3.9.6

### ags_sf2_synth_util_set_source ()

    void
    ags_sf2_synth_util_set_source (AgsSF2SynthUtil *sf2_synth_util,
                                   gpointer source);

Set `source` buffer of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
source | the source buffer. | [transfer none]

Since: 3.9.6

### ags_sf2_synth_util_get_source_stride ()

    guint
    ags_sf2_synth_util_get_source_stride (AgsSF2SynthUtil *sf2_synth_util);

Get source stride of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the source buffer stride

Since: 3.9.6

### ags_sf2_synth_util_set_source_stride ()

    void
    ags_sf2_synth_util_set_source_stride (AgsSF2SynthUtil *sf2_synth_util,
                                          guint source_stride);

Set `source` stride of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
source_stride | the source buffer stride |

Since: 3.9.6

### ags_sf2_synth_util_get_buffer_length ()

    guint
    ags_sf2_synth_util_get_buffer_length (AgsSF2SynthUtil *sf2_synth_util);

Get buffer length of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the buffer length

Since: 3.9.6

### ags_sf2_synth_util_set_buffer_length ()

    void
    ags_sf2_synth_util_set_buffer_length (AgsSF2SynthUtil *sf2_synth_util,
                                          guint buffer_length);

Set `buffer_length` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
buffer_length | the buffer length |

Since: 3.9.6

### ags_sf2_synth_util_get_format ()

    AgsSoundcardFormat
    ags_sf2_synth_util_get_format (AgsSF2SynthUtil *sf2_synth_util);

Get format of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the format

Since: 3.9.6

### ags_sf2_synth_util_set_format ()

    void
    ags_sf2_synth_util_set_format (AgsSF2SynthUtil *sf2_synth_util,
                                   AgsSoundcardFormat format);

Set `format` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
format | the format |

Since: 3.9.6

### ags_sf2_synth_util_get_samplerate ()

    guint
    ags_sf2_synth_util_get_samplerate (AgsSF2SynthUtil *sf2_synth_util);

Get samplerate of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the samplerate

Since: 3.9.6

### ags_sf2_synth_util_set_samplerate ()

    void
    ags_sf2_synth_util_set_samplerate (AgsSF2SynthUtil *sf2_synth_util,
                                       guint samplerate);

Set `samplerate` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
samplerate | the samplerate |

Since: 3.9.6

### ags_sf2_synth_util_get_preset ()

    gchar *
    ags_sf2_synth_util_get_preset (AgsSF2SynthUtil *sf2_synth_util);

Get preset of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the preset

Since: 3.9.6

### ags_sf2_synth_util_set_preset ()

    void
    ags_sf2_synth_util_set_preset (AgsSF2SynthUtil *sf2_synth_util,
                                   gchar *preset);

Set `preset` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
preset | the preset |

Since: 3.9.6

### ags_sf2_synth_util_get_instrument ()

    gchar *
    ags_sf2_synth_util_get_instrument (AgsSF2SynthUtil *sf2_synth_util);

Get instrument of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the instrument

Since: 3.9.6

### ags_sf2_synth_util_set_instrument ()

    void
    ags_sf2_synth_util_set_instrument (AgsSF2SynthUtil *sf2_synth_util,
                                       gchar *instrument);

Set `instrument` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
instrument | the instrument |

Since: 3.9.6

### ags_sf2_synth_util_get_sample ()

    gchar *
    ags_sf2_synth_util_get_sample (AgsSF2SynthUtil *sf2_synth_util);

Get sample of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the sample

Since: 3.9.6

### ags_sf2_synth_util_set_sample ()

    void
    ags_sf2_synth_util_set_sample (AgsSF2SynthUtil *sf2_synth_util,
                                   gchar *sample);

Set `sample` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
sample | the sample |

Since: 3.9.6

### ags_sf2_synth_util_get_bank ()

    gint
    ags_sf2_synth_util_get_bank (AgsSF2SynthUtil *sf2_synth_util);

Get bank of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the bank

Since: 3.9.6

### ags_sf2_synth_util_set_bank ()

    void
    ags_sf2_synth_util_set_bank (AgsSF2SynthUtil *sf2_synth_util,
                                 gint bank);

Set `bank` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
bank | the bank |

Since: 3.9.6

### ags_sf2_synth_util_get_program ()

    gint
    ags_sf2_synth_util_get_program (AgsSF2SynthUtil *sf2_synth_util);

Get program of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the program

Since: 3.9.6

### ags_sf2_synth_util_set_program ()

    void
    ags_sf2_synth_util_set_program (AgsSF2SynthUtil *sf2_synth_util,
                                    gint program);

Set `program` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
program | the program |

Since: 3.9.6

### ags_sf2_synth_util_get_midi_key ()

    gint
    ags_sf2_synth_util_get_midi_key (AgsSF2SynthUtil *sf2_synth_util);

Get midi_key of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the midi key

Since: 3.9.6

### ags_sf2_synth_util_set_midi_key ()

    void
    ags_sf2_synth_util_set_midi_key (AgsSF2SynthUtil *sf2_synth_util,
                                     gint midi_key);

Set `midi_key` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
midi_key | the midi key |

Since: 3.9.6

### ags_sf2_synth_util_get_note ()

    gdouble
    ags_sf2_synth_util_get_note (AgsSF2SynthUtil *sf2_synth_util);

Get note of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the note

Since: 3.9.6

### ags_sf2_synth_util_set_note ()

    void
    ags_sf2_synth_util_set_note (AgsSF2SynthUtil *sf2_synth_util,
                                 gdouble note);

Set `note` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
note | the note |

Since: 3.9.6

### ags_sf2_synth_util_get_volume ()

    gdouble
    ags_sf2_synth_util_get_volume (AgsSF2SynthUtil *sf2_synth_util);

Get volume of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the volume

Since: 3.9.6

### ags_sf2_synth_util_set_volume ()

    void
    ags_sf2_synth_util_set_volume (AgsSF2SynthUtil *sf2_synth_util,
                                   gdouble volume);

Set `volume` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
volume | the volume |

Since: 3.9.6

### ags_sf2_synth_util_get_frame_count ()

    guint
    ags_sf2_synth_util_get_frame_count (AgsSF2SynthUtil *sf2_synth_util);

Get frame count of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the frame count

Since: 3.9.6

### ags_sf2_synth_util_set_frame_count ()

    void
    ags_sf2_synth_util_set_frame_count (AgsSF2SynthUtil *sf2_synth_util,
                                        guint frame_count);

Set `frame_count` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
frame_count | the frame count |

Since: 3.9.6

### ags_sf2_synth_util_get_offset ()

    guint
    ags_sf2_synth_util_get_offset (AgsSF2SynthUtil *sf2_synth_util);

Get offset of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the offset

Since: 3.9.6

### ags_sf2_synth_util_set_offset ()

    void
    ags_sf2_synth_util_set_offset (AgsSF2SynthUtil *sf2_synth_util,
                                   guint offset);

Set `offset` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
offset | the offset |

Since: 3.9.6

### ags_sf2_synth_util_get_loop_mode ()

    AgsSF2SynthUtilLoopMode
    ags_sf2_synth_util_get_loop_mode (AgsSF2SynthUtil *sf2_synth_util);

Get loop mode of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the loop mode

Since: 3.9.6

### ags_sf2_synth_util_set_loop_mode ()

    void
    ags_sf2_synth_util_set_loop_mode (AgsSF2SynthUtil *sf2_synth_util,
                                      AgsSF2SynthUtilLoopMode loop_mode);

Set `loop_mode` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
loop_mode | the loop mode |

Since: 3.9.6

### ags_sf2_synth_util_get_loop_start ()

    guint
    ags_sf2_synth_util_get_loop_start (AgsSF2SynthUtil *sf2_synth_util);

Get loop start of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the loop start

Since: 3.9.6

### ags_sf2_synth_util_set_loop_start ()

    void
    ags_sf2_synth_util_set_loop_start (AgsSF2SynthUtil *sf2_synth_util,
                                       guint loop_start);

Set `loop_start` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
loop_start | the loop start |

Since: 3.9.6

### ags_sf2_synth_util_get_loop_end ()

    guint
    ags_sf2_synth_util_get_loop_end (AgsSF2SynthUtil *sf2_synth_util);

Get loop end of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the loop end

Since: 3.9.6

### ags_sf2_synth_util_set_loop_end ()

    void
    ags_sf2_synth_util_set_loop_end (AgsSF2SynthUtil *sf2_synth_util,
                                     guint loop_end);

Set `loop_end` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
loop_end | the loop end |

Since: 3.9.6

### ags_sf2_synth_util_get_resample_util ()

    AgsResampleUtil *
    ags_sf2_synth_util_get_resample_util (AgsSF2SynthUtil *sf2_synth_util);

Get resample util of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the resample util.

[transfer none]

Since: 3.9.6

### ags_sf2_synth_util_set_resample_util ()

    void
    ags_sf2_synth_util_set_resample_util (AgsSF2SynthUtil *sf2_synth_util,
                                          AgsResampleUtil *resample_util);

Set `resample_util` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
resample_util | the resample util. | [transfer full]

Since: 3.9.6

### ags_sf2_synth_util_get_pitch_type ()

    GType
    ags_sf2_synth_util_get_pitch_type (AgsSF2SynthUtil *sf2_synth_util);

Get pitch type of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the pitch type

Since: 4.0.0

### ags_sf2_synth_util_set_pitch_type ()

    void
    ags_sf2_synth_util_set_pitch_type (AgsSF2SynthUtil *sf2_synth_util,
                                       GType pitch_type);

Set `pitch_type` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
pitch_type | the pitch type |

Since: 4.0.0

### ags_sf2_synth_util_get_pitch_util ()

    gpointer
    ags_sf2_synth_util_get_pitch_util (AgsSF2SynthUtil *sf2_synth_util);

Get pitch util of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the pitch util.

[transfer none]

Since: 4.0.0

### ags_sf2_synth_util_set_pitch_util ()

    void
    ags_sf2_synth_util_set_pitch_util (AgsSF2SynthUtil *sf2_synth_util,
                                       gpointer pitch_util);

Set `pitch_util` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
pitch_util | the pitch util. | [transfer full]

Since: 4.0.0

### ags_sf2_synth_util_get_note_256th_mode ()

    gboolean
    ags_sf2_synth_util_get_note_256th_mode
                                   (AgsSF2SynthUtil *sf2_synth_util);

Get note 256th mode of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_sf2_synth_util_set_note_256th_mode ()

    void
    ags_sf2_synth_util_set_note_256th_mode
                                   (AgsSF2SynthUtil *sf2_synth_util,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
note_256th_mode | the note 256th mode |

Since: 6.1.0

### ags_sf2_synth_util_get_offset_256th ()

    guint
    ags_sf2_synth_util_get_offset_256th (AgsSF2SynthUtil *sf2_synth_util);

Get offset as note 256th of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

#### Returns

the offset as note 256th

Since: 6.1.0

### ags_sf2_synth_util_set_offset_256th ()

    void
    ags_sf2_synth_util_set_offset_256th (AgsSF2SynthUtil *sf2_synth_util,
                                         guint offset_256th);

Set `offset_256th` of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
offset_256th | the offset as note 256th |

Since: 6.1.0

### ags_sf2_synth_util_load_instrument ()

    void
    ags_sf2_synth_util_load_instrument (AgsSF2SynthUtil *sf2_synth_util,
                                        gchar *preset,
                                        gchar *instrument);

Load instrument of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
preset | the preset |
instrument | the instrument |

Since: 4.0.0

### ags_sf2_synth_util_load_midi_locale ()

    void
    ags_sf2_synth_util_load_midi_locale (AgsSF2SynthUtil *sf2_synth_util,
                                         gint bank,
                                         gint program);

Load midi locale of `sf2_synth_util` .

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |
bank | the bank |
program | the program |

Since: 3.16.0

### ags_sf2_synth_util_compute_s8 ()

    void
    ags_sf2_synth_util_compute_s8 (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of signed 8 bit data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_s16 ()

    void
    ags_sf2_synth_util_compute_s16 (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of signed 16 bit data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_s24 ()

    void
    ags_sf2_synth_util_compute_s24 (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of signed 24 bit data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_s32 ()

    void
    ags_sf2_synth_util_compute_s32 (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of signed 32 bit data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_s64 ()

    void
    ags_sf2_synth_util_compute_s64 (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of signed 64 bit data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_float ()

    void
    ags_sf2_synth_util_compute_float (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of floating point data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_double ()

    void
    ags_sf2_synth_util_compute_double (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of double precision floating point data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute_complex ()

    void
    ags_sf2_synth_util_compute_complex (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth of complex data.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_compute ()

    void
    ags_sf2_synth_util_compute (AgsSF2SynthUtil *sf2_synth_util);

Compute Soundfont2 synth.

#### Parameters

sf2_synth_util | the AgsSF2SynthUtil |

Since: 3.9.6

### ags_sf2_synth_util_midi_locale_find_sample_near_midi_key ()

    AgsIpatchSample *
    ags_sf2_synth_util_midi_locale_find_sample_near_midi_key
                                   (AgsIpatch *ipatch,
                                    gint bank,
                                    gint program,
                                    gint midi_key,
                                    gchar **preset,
                                    gchar **instrument,
                                    gchar **sample);

Find sample near MIDI key.

#### Parameters

ipatch | the AgsIpatch |
bank | the bank |
program | the program |
midi_key | the MIDI key |
preset | the preset. | [out]
instrument | the instrument. | [out]
sample | the sample. | [out]

#### Returns

the AgsIpatchSample.

[transfer full]

Since: 3.4.0

## Types and Values

### AGS_SF2_SYNTH_UTIL_INITIALIZER

    #define             AGS_SF2_SYNTH_UTIL_INITIALIZER

### enum AgsSF2SynthUtilFlags

#### Members

AGS_SF2_SYNTH_UTIL_COMPUTE_INSTRUMENT |  |
AGS_SF2_SYNTH_UTIL_COMPUTE_MIDI_LOCALE |  |

### enum AgsSF2SynthUtilLoopMode

Enum values to specify loop mode.

#### Members

AGS_SF2_SYNTH_UTIL_LOOP_NONE | loop none |
AGS_SF2_SYNTH_UTIL_LOOP_STANDARD | loop standard |
AGS_SF2_SYNTH_UTIL_LOOP_RELEASE | loop release |
AGS_SF2_SYNTH_UTIL_LOOP_PINGPONG | loop pingpong |